mfsmetalogger.cfg(5)

NAME
mfsmetalogger.cfg - configuration file for mfsmetalogger

DESCRIPTION
The file mfsmetalogger.cfg contains configuration of MooseFS metalogger process.

SYNTAX

Syntax is:

OPTION = VALUE

Lines starting with # character are ignored as comments.

OPTIONS
Configuration options:

DATA_PATH
    where to store metadata files

LOCK_FILE
    (deprecated) daemon lock/pid file

WORKING_USER
    user to run daemon as

WORKING_GROUP
    group to run daemon as (optional - if empty then default user group will be used)

SYSLOG_IDENT
    name of process to place in syslog messages (default is mfsmetalogger)

LOCK_MEMORY
    whether to perform mlockall() to avoid swapping out mfsmetalogger process (default is 0, i.e. no)

LIMIT_GLIBC_MALLOC_ARENAS
    limit malloc arenas to given value - prevents server from using huge amount of virtual memory (Linux onty, default is 4)

DISABLE_OOM_KILLER
    disable out of memory killer (Linux only, default is 1)

NICE_LEVEL
    nice level to run daemon with (default is -19 if possible; note: process must be started as root to increase priority)

BACK_LOGS
    number of metadata change log files (default is 50)

BACK_META_KEEP_PREVIOUS
    number of previous metadata files to be kept (default is 3)

META_DOWNLOAD_FREQ
    metadata download frequency in hours (default is 24, at most BACK_LOGS/2)

BIND_HOST
    local address to use for master connections; default is *, i.e. default local address

MASTER_HOST
    address of MooseFS master host to connect with (default is mfsmaster)

MASTER_PORT
    number of MooseFS master port to connect with (default is 9420)

MASTER_RECONNECTION_DELAY
    delay in seconds before trying to reconnect to master after disconnection (default is 30)

MASTER_TIMEOUT
    timeout (in seconds) for master connections (default is 60)

COPYRIGHT
Copyright (C) 2017 Jakub Kruszona-Zawadzki, Core Technology Sp. z o.o. This file is part of MooseFS. MooseFS is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, version 2 (only). MooseFS is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. You should have received a copy of the GNU General Public License along with MooseFS; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02111-1301, USA or visit http://www.gnu.org/licenses/gpl-2.0.html

SEE ALSO
mfsmetalogger(8)